# -*- coding: iso_8859_1 -*-

from aspylib import astrometry

#------------------------------------------------------------------------------------
#	Purpose
#------------------------------------------------------------------------------------
#
#	Downloads asteroid and comet ephemeris from the SkyBoT service
#
#------------------------------------------------------------------------------------
#	Input parameters
#------------------------------------------------------------------------------------

date = 2455923.0			#Julian date (UT)
position = [56., 24.]		#[alpha, delta] in degrees
conesize = [30., 30.]		#[boxsize_alpha, boxsize_delta] in arcmin

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

#------ retrieving information from SkyBoT ------
astrometry.send_query_skybot(date,position,conesize)
cat = astrometry.read_votable("skybot.xml")

#------ printing information --------------------
print
print len(cat)," objects downloaded"
print
print "catalog fields:"
print cat.dtype.names
print
print cat
print
raw_input("done")