# -*- coding: iso_8859_1 -*-

from aspylib import astro, photometry
import numpy as np
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	Purpose 
#------------------------------------------------------------------------------------
#
#	Loads the file that contains the image shifts that was created during execution of the scripts "photometry_run.py" or "photosearch_run.py".
#	Then, displays the shifts for all images that have not been rejected.
#
#------------------------------------------------------------------------------------
#	Input parameters 
#------------------------------------------------------------------------------------

Folder = u"C:\\photometry\\results\\"
Filename = Folder + 'target_02_image_shifts.txt'

#------------------------------------------------------------------------------------
#	Script
#------------------------------------------------------------------------------------

imagelist, shifts = photometry.load_shifts(Filename)

plt.ion()
plt.plot(shifts[:,0], 'b')
plt.plot(shifts[:,1], 'g')
plt.grid()
plt.title('Image shifts: Vertical (blue), Horizontal (green)')
plt.xlabel('Image number')
plt.ylabel('Image shifts (pixels)')
plt.draw()	

raw_input()