# -*- coding: iso_8859_1 -*-
"""
	module for astrometric reductions.
"""

from aspylib import license

from query1 import send_query_vizier, send_query_skybot
#def send_query_vizier(catalog, position, conesize, constraint, filename = 'vizier.xml'):
#def send_query_skybot(date, position, conesize, obscode='500', outputlevel=1, filename = 'skybot.xml'):

from query2 import read_votable
#def read_votable(filename, ordering = [False,''], remove_duplicates = [False, []]):

#------------------------------------------------------------------------------------------------------------
from astrometry1 import project_stars, inverse_project_stars
#def project_stars(alpha, delta, alpha0, delta0):
#def inverse_project_stars(rv, rh, alpha0, delta0):

from astrometry2 import find_rotation_and_scaling, find_translation, approximate_astrometry
#def find_rotation_and_scaling(stars1, stars2, resolution=512, text_display=True, plotting=True):
#def find_translation(stars1, stars2, resolution=512, text_display=True, plotting=True):
#def approximate_astrometry(stars1, stars2, start_param = [1.,0.,0.,0.], nb_iterations=1, resolution=512, text_display=False, plotting=False):

from astrometry3 import matching_pairs
#def matching_pairs(stars, trans, distcrit):

from astrometry4 import find_astrometry_for_image
#def find_astrometry_for_image(image, proj, distcrit = 5, nbdetstars = [60,200], nbcatstars = [100,1000], text_display = True, plotting=True): 

from astrometry5 import distorsion_law, inverse_distorsion_law, invert_simple_coefficients, transform_stars, distorsion_law_quadratic, distorsion_law_linear
#def distorsion_law(p, xy):
#def distorsion_law_quadratic(p, xy):
#def inverse_distorsion_law(p, proj):
#def invert_simple_coefficients(p):
#def transform_stars(param, xy):
#def distorsion_law_linear(p, xy):

del query1, query2
del astrometry1, astrometry2, astrometry3, astrometry4, astrometry5
